Bug 1019861 - rhc domain show fails with "undefined method `features'"
rhc domain show fails with "undefined method `features'"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Master (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lili Nader
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 10:08 EDT by Troy Dawson
Modified: 2015-05-14 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:36:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Troy Dawson 2013-10-16 10:08:51 EDT
Description of problem:
I am unable to look at the list of my apps.
If I use the command line I get "undefined method `features'"
If I use the web console, it shows that I have reached my limit on "My Account" but when I go to "Application" it says I don't have any.

Version-Release number of selected component (if applicable):


How reproducible:
For me 100%, but nobody else I know has this problem.

Steps to Reproduce:
1. rhc domain show -l $user -p $pass
2.
3.

Actual results:
Unable to complete the requested operation due to: undefined method `features' for #<PendingAppOpGroup:0x00000007fc3800>.
Reference ID: 453679a420a5bb07f186c97a6894c92a


Expected results:
It would list my applications

Additional info:
Comment 1 Jessica Forrester 2013-10-16 10:34:00 EDT
This exception was reported in PROD for both applications#show and applications#index.

NoMethodError: undefined method `features' for #<PendingAppOpGroup:0x00000007ac8c38> 
…are/gems/gems/mongoid-3.0.21/lib/mongoid/
attributes.rb: 249:in `method_missing'
…ft-origin-controller-1.15.13/app/models/
application.rb: 484:in `block in requires'
…ems/gems/mongoid-3.0.21/lib/mongoid/relations/
proxy.rb: 143:in `each'
…ems/gems/mongoid-3.0.21/lib/mongoid/relations/
proxy.rb: 143:in `method_missing'
…/mongoid-3.0.21/lib/mongoid/relations/embedded/
many.rb: 396:in `method_missing'
…ft-origin-controller-1.15.13/app/models/
application.rb: 481:in `requires'
…ntroller-1.15.13/app/rest_models/
rest_application15.rb:  80:in `initialize'
…in-controller-1.15.13/app/helpers/
rest_model_helper.rb:  35:in `new'
…in-controller-1.15.13/app/helpers/
rest_model_helper.rb:  35:in `get_rest_application'
…ler-1.15.13/app/controllers/
applications_controller.rb:  21:in `block in index'
…ms/gems/mongoid-3.0.21/lib/mongoid/contextual/
mongo.rb: 577:in `yield_document'
…ms/gems/mongoid-3.0.21/lib/mongoid/contextual/
mongo.rb: 133:in `block (2 levels) in each'
…ms/gems/mongoid-3.0.21/lib/mongoid/contextual/
mongo.rb: 132:in `each'
…ms/gems/mongoid-3.0.21/lib/mongoid/contextual/
mongo.rb: 132:in `block in each'
…ms/gems/mongoid-3.0.21/lib/mongoid/contextual/
mongo.rb: 556:in `selecting'
…ms/gems/mongoid-3.0.21/lib/mongoid/contextual/
mongo.rb: 131:in `each'
…are/gems/gems/mongoid-3.0.21/lib/mongoid/
contextual.rb:  18:in `each'
…ler-1.15.13/app/controllers/
applications_controller.rb:  21:in `map'
…ler-1.15.13/app/controllers/
applications_controller.rb:  21:in `index'
…troller-1.15.13/lib/openshift/controller/
action_log.rb:  80:in `set_logged_request'
…sr/share/gems/gems/journey-1.0.4/lib/journey/
router.rb:  68:in `block in call'
…sr/share/gems/gems/journey-1.0.4/lib/journey/
router.rb:  56:in `each'
…sr/share/gems/gems/journey-1.0.4/lib/journey/
router.rb:  56:in `call'
…per-0.11.1/lib/mongo_mapper/middleware/
identity_map.rb:  10:in `call'
…oid-3.0.21/lib/rack/mongoid/middleware/
identity_map.rb:  34:in `block in call'
…e/gems/gems/mongoid-3.0.21/lib/mongoid/
unit_of_work.rb:  39:in `unit_of_work'
…oid-3.0.21/lib/rack/mongoid/middleware/
identity_map.rb:  34:in `call'
…3/root/usr/share/gems/gems/rack-1.4.1/lib/rack/
etag.rb:  23:in `call'
…/share/gems/gems/rack-1.4.1/lib/rack/
conditionalget.rb:  25:in `call'
…e/gems/gems/rack-1.4.1/lib/rack/session/abstract/
id.rb: 205:in `context'
…e/gems/gems/rack-1.4.1/lib/rack/session/abstract/
id.rb: 200:in `call'
…/share/gems/gems/rack-1.4.1/lib/rack/
methodoverride.rb:  21:in `call'
…oot/usr/share/gems/gems/rack-1.4.1/lib/rack/
runtime.rb:  17:in `call'
…3/root/usr/share/gems/gems/rack-1.4.1/lib/rack/
lock.rb:  15:in `call'
…are/gems/gems/rack-cache-1.2/lib/rack/cache/
context.rb: 136:in `forward'
…are/gems/gems/rack-cache-1.2/lib/rack/cache/
context.rb: 245:in `fetch'
…are/gems/gems/rack-cache-1.2/lib/rack/cache/
context.rb: 185:in `lookup'
…are/gems/gems/rack-cache-1.2/lib/rack/cache/
context.rb:  66:in `call!'
…are/gems/gems/rack-cache-1.2/lib/rack/cache/
context.rb:  51:in `call'
…r-3.0.21/lib/phusion_passenger/rack/
request_handler.rb:  97:in `process_request'
…0.21/lib/phusion_passenger/
abstract_request_handler.rb: 521:in `accept_and_process_next_request'
…0.21/lib/phusion_passenger/
abstract_request_handler.rb: 274:in `main_loop'
…0.21/lib/phusion_passenger/rack/
application_spawner.rb: 206:in `start_request_handler'
…0.21/lib/phusion_passenger/rack/
application_spawner.rb:  79:in `block in spawn_application'
…s/gems/passenger-3.0.21/lib/phusion_passenger/
utils.rb: 470:in `safe_fork'
…0.21/lib/phusion_passenger/rack/
application_spawner.rb:  64:in `spawn_application'
…assenger-3.0.21/lib/phusion_passenger/
spawn_manager.rb: 264:in `spawn_rack_application'
…assenger-3.0.21/lib/phusion_passenger/
spawn_manager.rb: 137:in `spawn_application'
…assenger-3.0.21/lib/phusion_passenger/
spawn_manager.rb: 275:in `handle_spawn_application'
…senger-3.0.21/lib/phusion_passenger/
abstract_server.rb: 357:in `server_main_loop'
…senger-3.0.21/lib/phusion_passenger/
abstract_server.rb: 206:in `start_synchronously'
Comment 2 Abhishek Gupta 2013-10-16 20:32:47 EDT
This was fixed as part of the fix to the non-compatible broker migration script. This has been verified by Troy as well.
Comment 3 Jianwei Hou 2013-10-16 23:12:44 EDT
Marks as verified according to comment 2

Note You need to log in before you can comment on or make changes to this bug.